cURL with fictitious data
curl --request GET \
--url https://api.example.com/spi/v1/refunds \
--header 'Authorization: Bearer demo-access-token' \
--header 'X-Account-Id: 019606a1-3b4c-7d8e-9f01-234567890abc'import requests
url = "https://api.example.com/spi/v1/refunds"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/spi/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"accountId": "019606a0-1a2b-7c3d-8e4f-567890123abc",
"amount": "100.00",
"createdAt": "2026-05-06T10:45:00Z",
"description": "Estorno solicitado pelo pagador",
"id": "019606b1-3b4c-7d8e-9f01-234567890dee",
"ledger": {
"destinationOperationId": "019606a5-7f80-7182-3c4d-56789012cdf1",
"revert": {
"destinationOperationId": "019606a5-7f80-7182-3c4d-56789012cdf1",
"sourceOperationId": "019606a5-7f80-7182-3c4d-56789012cdf0",
"transactionId": "019606a5-7f80-7182-3c4d-56789012cdef"
},
"sourceOperationId": "019606a5-7f80-7182-3c4d-56789012cdf0",
"transactionId": "019606a5-7f80-7182-3c4d-56789012cdef"
},
"metadata": {
"field": "field-example"
},
"originalEndToEndId": "E12345678202605061030abcdef12345",
"reasonCode": "MD06",
"returnEndToEndId": "D12345678202605061045fedcba54321",
"status": "COMPLETED",
"type": "OUTBOUND",
"updatedAt": "2026-05-06T10:45:30Z"
}
],
"next_cursor": "eyJpZCI6IjAxOTYwNmIxLTNiNGMtN2Q4ZS05ZjAxLTIzNDU2Nzg5MGRlZSJ9",
"prev_cursor": "eyJpZCI6IjAxOTYwNmIxLTNiNGMtN2Q4ZS05ZjAxLTIzNDU2Nzg5MGRlZSJ9"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List Pix refunds for an account
Returns a cursor-paginated page of refunds for the calling account.
GET
/
refunds
cURL with fictitious data
Authorizations
JWT bearer token issued by the identity provider.
Headers
UUID of the account associated with the operation.
Example:
"019606a1-3b4c-7d8e-9f01-234567890abc"
Query Parameters
Filter by original transfer UUID
Filter by refund status (lowercase)
Example:
"completed"
Filter by direction (lowercase)
Example:
"out"
Opaque cursor returned by the previous page
Page size (1-100, default 20)
Example:
"20"
Was this page helpful?

